A package is a specific piece of software which can be installed and uninstalled on a system.

learn more… | top users | synonyms (1)

1
vote
2answers
959 views

How to Create Yum Cache Server for client machines in LAN

Like in Ubuntu we have the option of creating "Ubuntu update cache server" which downloads and update packages directly from internet and serves other client ubuntu machines for installing/updating ...
2
votes
1answer
642 views

How to create packages in SaltStack

I have installed Salt-master in my ubuntu 12.04 machine and salt minion in ubuntu 12.04. I want to install package containing like svn,mongodb,postgres,maven,python in the salt-minion. how to create ...
1
vote
1answer
398 views

Fedora update fails for “filesystem” package

I have Fedora 19 currently installed and the filesystem package has shown up in the updates. I find it a little peculiar on how to actually update the filesystem package. Running transaction ...
1
vote
1answer
85 views

How to install packages on debian lenny 5.0

I'm working with Debian Lenny 5.0 and I'm trying to replicate an environment. The problem is that when I try to update aptitude.. it looks like the servers aren't online anymore. Is there any way for ...
1
vote
1answer
249 views

Is ffmpeg incorrectly interpreting .aif files?

Being on an Ubuntu 10.04 server i installed the ffmpeg packages with apt. ffmpeg is working afterwards, and doing as it should. Almost. For testing purposes i uploaded a few audiofiles. One of them, ...
1
vote
1answer
387 views

Overriding dpkg admindir from apt-get options (debian/ubuntu linux)

As part of an OS deployment, I need to maintain sets of debian packages independently of the host operating system. It's pretty straightforward to override the Apt settings for the cache and lists, ...
1
vote
1answer
31 views

How to safely and smoothly update packages on server?(by apt)

On my own computer, I have been used to run apt-get upgrade directly for years. But few days ago I have a chance to admin a ubuntu server. I guess my old habit is bad. Should/how I update security ...
1
vote
1answer
111 views

How to survey the packages various Linux distributions install by default (without downloading each distro)?

I'm trying to determine the level of support enjoyed by various software packages across all major Linux distributions. That is, for a given package, find which distros include it in the default ...
0
votes
1answer
67 views

Installing development tools packages error Centos 6.6

I'm trying to install curl-devel package as a prior step to installation of git 2.x.x: yum install curl-devel But I get many errors like this one: Error: Package: gcc-c++-4.4.7-4.el6.x86_64 ...
0
votes
1answer
194 views

Installing packages inside a docker container using saltstack

Ive have been looking for tutorials to help me understand it but my searches has been unsuccessful. so I was wondering if it is possible for a Saltstack Master to install packages, say ...
0
votes
1answer
50 views

Prevent debian package from being removed by puppet

is there a way to prevent a debian package from being removed? I want to prevent any resolution of "replaces" and "breaks" attributes that would lead to removing that package while being able to ...
0
votes
1answer
5k views

ERROR with rpm_check_debug vs depsolve

Transaction Summary ========================================================================================================================================================== Install 9 ...
0
votes
1answer
181 views

How does one rebuild a single PHP extension package on Debian?

In trying to get ODBC PDO working with Microsoft's MSSQL driver on Debian I've found that I need to apply patches to the PHP extension (see https://bugs.php.net/bug.php?id=50444 for those patches). ...
0
votes
1answer
118 views

How to solve mysql server 5.5 update dependency issue?

since a month or two i cannot update package on my ubuntu server. The problem concern the mysql package which seems newer on the server that the minimum required ?? : lm@s8:~# sudo apt-get upgrade ...
0
votes
1answer
141 views

Backporting packages should reverse dependencies be rebuilt

I'm using Ubuntu Jaunty on a few machines and am in the process of backporting / custom compiling a few deb packages to update PHP and OpenSSL. My question is though, should I also be recompiling ...
0
votes
1answer
553 views

Installing php-hash on SUSE 10.1

I need the PHP function hash_hmac which is not part of my distribution on my virtual server running SUSE 10.1. Trying to install it with yast2 --install php-hash leads to the following message: No ...
-1
votes
1answer
244 views

Having issues installing Pecl Phar package - make failed

On Centos 6, php 5.5 I am trying to install the PHAR package with PECL. During the installation I get an "make failed" error: creating libtool appending configuration tag "CXX" to libtool configure: ...
4
votes
0answers
355 views

Easily spoof lsb_release output for different versions

I’m often rebuilding software packages (mostly Debian) for older versions (of both Debian and Ubuntu, including oldoldstable). Some of these packages use the lsb_release command to figure out the ...
1
vote
0answers
727 views

libreadline6-dev broken package error

OS: Debian Squeeze x64 running on XenServer Have been googling the error with no luck (or I just fail at googling); any help on resolving this? Any would be greatly appreciated! -Also posted on ...
1
vote
0answers
167 views

mini-dinstall chmod 0600 changes file: Operation not permitted

I'm getting "Operation not permitted" in the mini-dinstall.log everytime a new debian package has been uploaded on the custom debian repository using dput. The deb file is installed successfuly but ...
0
votes
0answers
9 views

Chocolatey Private Repository installation failures

I am setting up a private repository for Chocolatey installs, I can get the installs to work fine locally but when I link them to the site that we have published for the installs will not install. ...
0
votes
0answers
34 views

Install package from oldstable (wheezy) to stable (jessie)

I want to install the package which is missing in jessie from wheezy. It is like backport the other way. I need gcc-4.7, but jessie provides only gcc-4.9. Unstable provides gcc-4.7 only for arm ...
0
votes
0answers
62 views

How do I install a virtual package?

I'm trying to install postgis with aptitude on Ubuntu 15.10 and is having problems with virtual packages that prevent the installation. me@laptop:~$ sudo aptitude install postgis The following NEW ...
0
votes
0answers
48 views

Installing unixODBC-devel package in Centos 5

I am trying to install a unixODBC-devel-2.2.11-10.el5.x86_64 and I already installed all of it's required library package from here, but still my installation process is getting interrupted because of ...
0
votes
0answers
104 views

Create custom package from nginx source - renaming nginx to custom-nginx

My dist is Ubuntu 14.04 use case I am attempting to create my own packaged nginx called 'custom-nginx'. It needs to install itself into alternative directories as so it does not interfere with the ...
0
votes
0answers
5 views

Update a package on Suse Linux Enterprise 10 by installing a full package and all dependencies without internet access

I have access to a Suse Linux Enterprise 10 server, which has a very old version of Firefox installed. I have sudo access to it. But the server is configured by proxy, which doesnt allow access to ...
0
votes
0answers
5 views

pbuilder excludes shared libraries

I need to deploy a custom built ruby to my machines. I created it using ruby-build with rbenv install and use the resulting rbenv root directory as my package root. The contents are included using ...
0
votes
0answers
28 views

rpm complaining about dependencies that are present

I'm trying to install an rpm provided by IBM: deadf1sh@server:~/ibm/i386> sudo rpm -i ibm-iaccess-1.1.0.2-1.0.i386.rpm error: Failed dependencies: libodbcinst.so.2 is needed by ...
0
votes
0answers
94 views

Is the lmdb-devel package necessary for installing the cfengine on RHEL v.7 via an RPM .spec file?

I have a problem when I try to build from my spec file. I run this: rpmbuild -ba newpackage.spec I see a great deal of output. It ends with these lines: configure: error: Cannot find ...
0
votes
0answers
143 views

Manual interactive proxy to install packages on server without internet

I need to install some rpm, python and R packages on a server that has no internet connexion: I can only ssh to it. I can download the packages and scp them to the server, then install them manually ...
0
votes
0answers
914 views

Error installing Python packages on an AWS Ubuntu server

I am trying to install the Ansible control server on Ubuntu 14.x (an AWS instance). When trying to install the dependencies, I saw an error. I'm not sure what I need to do. Is this an ignorable ...
0
votes
0answers
232 views

Apt-get install removed packages

During a puppet run, ia32-libs was installed, this seems to have caused several packages to be uninstalled but I'm not sure why.. Can anyone shine any light on the matter? Here's the apt log entry: ...
0
votes
0answers
281 views

rpm dependency failed to install, package installed anyway

I have this issue and I would like to understand why it is like this. I have build 3 really simple rpm packages called a, b and c, and I made a independant, b depending on a and c depending on a and ...
0
votes
0answers
1k views

No package php-devel available CentOS

I try to install php-devel package on my CentOS VPS and I get this output : No package php-devel available. I run this command : yum -y install php-devel Output : Loaded plugins: ...